
subtle - Bug #259

Subtle crashes if no :unoccupied style is defined

10/08/2011 06:38 PM - Dominikh Honnef

Status: Fixed Start date: 10/08/2011

Priority: Urgent Due date:  

Assignee: Christoph Kappel % Done: 100%

Category: Bugfix Estimated time: 0.00 hour

Target version: Xi   

Description

When trying to run subtle with a config that does not define a style for :unoccupied, subtle displays a stacktrace.

When running subtle with debug information, it shows this instead:

subtle: src/subtle/style.c:189: subStyleMerge: Assertion `s1 && s2' failed.

History

#1 - 10/09/2011 12:04 AM - Christoph Kappel

- Target version set to Xi

- Assignee set to Non member users

- Status changed from Unconfirmed to Confirmed

- Category set to Bugfix

#2 - 10/09/2011 04:25 PM - Christoph Kappel

- Status changed from Confirmed to Fixed

- % Done changed from 0 to 100

Applied in changeset cc621a0ce72a.
